# Syntactic Tagger

The Syntactic Tagger is a part-of-speech tagger that uses a lexicon extracted from an electronic dictionary and a plain text corpus to tag texts.

Apart from tagging the text tokens using syntactic tags based on the EAGLES proposal for Spanish, it also lemmatizes each token, creating a representation of the text as a list of lemmas.

The Syntactic Tagger works for Spanish, as it has taken the information from the Diccionario de la Real Academia Española (in order to create the lexicon) and the Spanish Wikipedia (for the plain text corpus).

The creation of this software was supported by the Spanish Ministry of Education, Culture and Sport via a doctoral grant to Iván Arias Rodríguez (FPU16/04039). It has also been funded by research projects TIN2014-52010-R (RedR+Human) and TIN2017-88092 R (CetrO+Spec).

You can install these parser with pip :

	pip install syntactic-tagger

*If you change or adapt a function, change its name (for example add your initial after the name)*

[![License: CC BY-NC-SA 4.0](https://licensebuttons.net/l/by-nc-sa/4.0/80x15.png)](https://creativecommons.org/licenses/by-nc-sa/4.0/)
This work is licensed under a Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
http://creativecommons.org/licenses/by-nc-sa/4.0/

This code is given as is without warranty of any kind.
In no event shall the authors or copyright holder be liable for any claim damages or other liability.

------------------------------------------

El Syntactic Tagger es un etiquetador morfosintáctico que es capaz de etiquetar un texto usando un lexicón extraído de un diccionario electrónico y un corpus de texto plano.

Además de etiquetar morfosintácticamente el texto usando un repertorio de etiquetas basado en las recomendaciones EAGLES para el español, también lematiza cada token, creando una representación del texto como una lista de lemas.

El Syntactic Tagger funciona para el español, ya que la información para la creación del lexicón y del corpus de texto plano se ha obtenido del Diccionario de la Real Academia Española y la Wikipedia española, respectivamente.

La creación de este software fue apoyada por el Ministerio de Educación, Cultura y Deporte de España, a través de una beca doctoral otorgada a Iván Arias Rodríguez (FPU16/04039). También ha sido financiado por los proyectos de investigación TIN2014-52010-R (RedR+Human) y TIN2017-88092 R (CetrO+Spec).

You can install these parser with pip :

	pip install syntactic-tagger

*Si cambias o adaptas una función, cambia su nombre (por ejemplo añade tus iniciales tras el nombre)*

[![License: CC BY-NC-SA 4.0](https://licensebuttons.net/l/by-nc-sa/4.0/80x15.png)](https://creativecommons.org/licenses/by-nc-sa/4.0/)
Este trabajo se ofrece bajo la licencia Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
http://creativecommons.org/licenses/by-nc-sa/4.0/

Este código se ofrece como es sin ninguna garantía de ningún tipo.
En ningún caso los autores o el titular de los derechos de autor serán responsables de cualquier reclamación por daños y perjuicios u otra responsabilidad.